/*
 * $Header: /smsa/bsd:include/arm/cache.h:bsd  1.2  $
 * $Source: /smsa/bsd:include/arm/cache.h: $
 *
 * Copyright (c) 1989 Acorn Computers Ltd., Cambridge, England
 *
 */

#ifndef	__arm_cache_h
#define	__arm_cache_h
#define	__machine_cache_h	"arm"

/* cache.h
 *
 * Commands to the cache control code.
 */

#define	CACHE_ON	0
#define	CACHE_OFF	1
#define	CACHE_SET	2
#define	CACHE_GET	3
#define	CACHE_NOPROTECT	4

#define	CACHEABLE	0
#define	UPDATEABLE	1
#define	DISRUPTIVE	2
#define	CONTROL		3

#endif/*__arm_cache_h*/

/* EOF cache.h */
