/*
 * $Header: /smsa/bsd:include/arm/fp.h:bsd  1.2  $
 * $Source: /smsa/bsd:include/arm/fp.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 *
 */

#ifndef	__arm_fp_h
#define	__arm_fp_h
#define	__machine_fp_h		"arm"

/* This structure contains the per-user floating point registers
 * it is saved on the stack during a signal delivery, or saved
 * into the u area as the FP resource is switched between processes.
 */
struct fp_regs {
	int	fp_status;
	struct	fp_reg {
		int first, second, third;
	} fp_reg[8];
};

#endif/*__arm_fp_h*/

/* EOF fp.h */
