/*
 * $Header: /smsa/bsd:include/dbm.h:bsd  1.4  $
 * $Source: /smsa/bsd:include/dbm.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 */
/*
 * Copyright (c) 1980 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *
 *	@(#)dbm.h	5.1 (Berkeley) 3/27/86
 */

#ifndef __dbm_h
#define __dbm_h

#ifndef NULL
/*
 * this is lunacy, we no longer use it (and never should have
 * unconditionally defined it), but, this whole file is for
 * backwards compatability - someone may rely on this.
 */
#define	NULL	((char *) 0)
#endif

#ifndef __ndbm_h
#include "ndbm.h"
#endif

datum	fetch(datum);
datum	firstkey(void);
datum	nextkey(datum);

#endif/*__dbm_h*/

/* EOF dbm.h */
