/*
 * $Header: /smsa/bsd:include/dev/context.h:bsd  1.5  $
 * $Source: /smsa/bsd:include/dev/context.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 */

#ifndef __dev_context_h
#define __dev_context_h

/* context.h */

#if defined (INKERNEL) || defined (_KERNEL)
#  ifdef BOOTROM
#    undef BOOTROM
#  endif
#  ifdef USERCODE
#    undef USERCODE
#  endif
#  ifndef _KERNEL
#    define _KERNEL

     /* System V-specific defs go here */
#    define splhigh  splhi                /* ugg: illiterate AT&T */

#  endif
#  define const
#else
#  if defined (BOOTROM)
#    ifdef USERCODE
#      undef USERCODE
#    endif
#    ifdef FILETRANSFER
#      undef FILETRANSFER
#    endif
#  endif
#endif

#endif/*__dev_context_h*/

/* EOF context.h */
