/*
 * $Header: /smsa/bsd:include/dev/vdu_type.h:bsd  1.1  $
 * $Source: /smsa/bsd:include/dev/vdu_type.h: $
 *
 * Copyright (c) 1989 Acorn Computers Ltd., Cambridge, England
 *
 */
/*
 * Codes for attached vdu (i.e. monitor) type.  This is the union of
 * the definitions previously found separately in <dev/cmos.h> and
 * <dev/vcioctl.h>.
 */
#ifndef	__dev_vdu_type_h
#define __dev_vdu_type_h

#define  VDU_TYPE_LOW_RES	0		/* PAL low res TV fmt only */
#define  VDU_TYPE_LOWRES	0		/* alt name for same */
#define  VDU_TYPE_MULTISCAN	1		/* low & medium & super-VGA */
#define  VDU_TYPE_HIGH_RES	2		/* high res (mono) only */
#define  VDU_TYPE_HIGHRES	2		/* alt name for same */
#define  VDU_TYPE_VGA		3		/* 640x480 fixed medium res */
#define	 VDU_TYPE_SUPER_VGA	4		/* vga + super VGA */

#define  VDU_TYPES		5

#endif/*__dev_vdu_type_h*/

/* EOF vdu_type.h */
