/*
 * $Header: /smsa/bsd:include/locale.h:bsd  1.4  $
 * $Source: /smsa/bsd:include/locale.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 */

#ifndef __locale_h
#define __locale_h

struct lconv {
    char *decimal_point;
    char *thousands_sep;
    char *grouping;
    char *int_curr_symbol;
    char *currency_symbol;
    char *mon_decimal_point;
    char *mon_thousands_sep;
    char *mon_grouping;
    char *positive_sign;
    char *negative_sign;
    char int_frac_digits;
    char frac_digits;
    char p_cs_precedes;
    char p_sep_by_space;
    char n_cs_precedes;
    char n_sep_by_space;
    char p_sign_posn;
    char n_sign_posn;
};

#ifndef NULL
#define NULL 0
#endif

#define LC_ALL          0
#define LC_COLLATE      1
#define LC_CTYPE        2
#define LC_MONETARY     3
#define LC_NUMERIC      4
#define LC_TIME         5

#define _LC_NCATEGORIES 6			/* no. of categories
						 * including LC_ALL */

extern char *setlocale(int /*category*/, const char * /*locale*/);
extern struct lconv *localeconv(void);

#endif
