/*
 * $Header: /smsa/bsd:include/netinet/in_systm.h:bsd  1.7  $
 * $Source: /smsa/bsd:include/netinet/in_systm.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 */
/*	@(#)in_systm.h	2.1 88/05/18 4.0NFSSRC SMI;	from UCB 7.1 6/5/86	*/
/*
 * Copyright (c) 1982, 1986 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *
 *	@(#)in_systm.h	7.1 (Berkeley) 6/5/86
 */

#ifndef __netinet_in_systm_h
#define __netinet_in_systm_h

/*
 * Miscellaneous internetwork
 * definitions for kernel.
 */

/*
 * Network types.
 *
 * Internally the system keeps counters in the headers with the bytes
 * swapped so that VAX instructions will work on them.  It reverses
 * the bytes before transmission at each protocol level.  The n_ types
 * represent the types with the bytes in ``high-ender'' order.
 */
typedef u_short n_short;		/* short as received from the net */
typedef u_long	n_long;			/* long as received from the net */

typedef	u_long	n_time;			/* ms since 00:00 GMT, byte rev */

#ifdef _KERNEL
n_time	iptime();
#endif

#endif/*__netinet_in_systm_h*/

/* EOF in_systm.h */
