/*
 * $Header: /smsa/bsd:include/rpc/types.h:bsd  1.7  $
 * $Source: /smsa/bsd:include/rpc/types.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 * Copyright (c) 1988 by Sun Microsystems, Inc.
 *      @(#)types.h 1.20 88/02/08 SMI      
 */

/*
 * Rpc additions to <sys/types.h>
 */
#ifndef __rpc_types_h
#define __rpc_types_h

#ifndef __sys_types_h
#include "../sys/types.h"
#endif
#ifndef __sys_time_h
#include "../sys/time.h"
#endif

#define	bool_t	int
#define	enum_t	int
#define __dontcare__	-1

#ifndef FALSE
#	define	FALSE	(0)
#endif

#ifndef TRUE
#	define	TRUE	(1)
#endif

#ifndef NULL
#	define NULL 0
#endif

#ifndef _KERNEL
extern void *malloc();
#define mem_alloc(bsize)	malloc(bsize)
#define mem_free(ptr, bsize)	free(ptr)
#else
extern caddr_t kmem_alloc();
#define mem_alloc(bsize)	kmem_alloc((u_int)bsize)
#define mem_free(ptr, bsize)	kmem_free((caddr_t)(ptr), (u_int)(bsize))
#endif

#endif/*__rpc_types_h*/

/* EOF types.h */
