
/* stddef.h: ANSI draft (X3J11 May 88) library header, section 4.1.4 */
/* Copyright (C) Acorn Computers Ltd. 1988 */
/* version 1.00 */

#ifndef __stddef_h
#define __stddef_h

typedef int ptrdiff_t;
#ifndef __size_t
#define __size_t 1
typedef unsigned int size_t;   /* others (e.g. <stdio.h>) define */
#endif
#ifndef __wchar_t
typedef int wchar_t;                         /* also in <stdlib.h> */
#define __wchar_t 1
#endif
#ifndef NULL  /* this hack is so that <stdio.h> can also define it */
#  define NULL 0
#endif
#define offsetof(type, member) \
    ((size_t)((char *)&(((___type type *)0)->member) - (char *)0))
#endif

/* end of stddef.h */
