/*
 * $Header: /smsa/bsd:include/sys/dk.h:bsd  1.8  $
 * $Source: /smsa/bsd:include/sys/dk.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 *
 */
/* @(#)dk.h	1.2 87/05/15 3.2/4.3NFSSRC */
/*
 * Copyright (c) 1982, 1986 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *
 *	@(#)dk.h	7.1 (Berkeley) 6/4/86
 */

#ifndef	__sys_dk_h
#define	__sys_dk_h

/*
 * Instrumentation
 */
#define	CPUSTATES	4

#define	CP_USER		0
#define	CP_NICE		1
#define	CP_SYS		2
#define	CP_IDLE		3

#define	DK_NDRIVE	6

#define DK_NAME		4	/* Max name size of device */
#ifdef	_KERNEL
long	cp_time[CPUSTATES];
int	dk_ndrive;
char	dk_name[DK_NDRIVE][DK_NAME];
int	dk_busy;
long	dk_time[DK_NDRIVE];
long	dk_seek[DK_NDRIVE];
long	dk_xfer[DK_NDRIVE];
long	dk_wds[DK_NDRIVE];
float	dk_mspw[DK_NDRIVE];

long	tk_nin;
long	tk_nout;
#endif	_KERNEL

#endif/*__sys_dk_h*/

/* EOF dk.h */
