/*
 * $Header: /smsa/bsd:include/sys/kernel.h:bsd  1.7  $
 * $Source: /smsa/bsd:include/sys/kernel.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 *
 */
/* @(#)kernel.h	1.3 87/05/28 3.2/4.3NFSSRC */
/*
 * Copyright (c) 1982, 1986 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *
 *	@(#)kernel.h	7.1 (Berkeley) 6/4/86
 */

/*
 * Global variables for the kernel
 */

#ifndef	__sys_kernel_h
#define	__sys_kernel_h

long	rmalloc();

/* 1.1 */
long	hostid;
char	hostname[MAXHOSTNAMELEN];
int	hostnamelen;
char	domainname[MAXHOSTNAMELEN];
int	domainnamelen;

/* 1.2 */
struct	timeval boottime;
struct	timeval time;
struct	timezone tz;			/* XXX */
int	hz;
int	phz;				/* alternate clock's frequency */
int	tick;
int	lbolt;				/* awoken once a second */
int	realitexpire();

#ifdef	FLOAT
double	avenrun[3];
#else	FLOAT
long	iavenrun[3];
#endif	FLOAT

#endif/*__sys_kernel_h*/

/* EOF kernel.h */
