/*
 * $Header: /smsa/bsd:include/sys/times.h:bsd  1.8  $
 * $Source: /smsa/bsd:include/sys/times.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 *
 */
/* 
 * Copyright (c) 1982, 1986 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *
 *	@(#)times.h	7.1 (Berkeley) 6/4/86
 */

#ifndef	__sys_times_h
#define	__sys_times_h

#ifndef __clock_t
#define __clock_t 1
typedef unsigned int clock_t;    /* cpu time type - units of CLK_TCK or CLOCKS_PER_SEC  */
#endif
/*
 * Structure returned by times()
 */
struct tms {
	clock_t	tms_utime;		/* user time */
	clock_t	tms_stime;		/* system time */
	clock_t	tms_cutime;		/* user time, children */
	clock_t	tms_cstime;		/* system time, children */
};

#ifndef	_KERNEL
extern clock_t times (struct tms * /*buffer*/);
#endif

#endif/*__sys_times_h*/

/* EOF times.h */
