/*
 * $Header: /smsa/bsd:include/sys/utsname.h:bsd  1.3  $
 * $Source: /smsa/bsd:include/sys/utsname.h: $
 *
 * Copyright (c) 1989 Acorn Computers Ltd., Cambridge, England
 */

#ifndef __sys_utsname_h
#define __sys_utsname_h

struct utsname {
    char sysname[32];				/* Name of this implementation */
    char nodename[32];				/* Name of this node */
    char release[32];				/* Current release level */
    char version[32];				/* Current version level */
    char machine[32];				/* Hardware type */
};

int uname (struct utsname * /*name*/);

#endif
