/*
 * $Header: /smsa/bsd:include/sys/version.h:bsd  1.4  $
 * $Source: /smsa/bsd:include/sys/version.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 *
 */

#ifndef __sys_version_h
#define __sys_version_h

/*
 * Version block inserted into each a.out file as struct exec header
 * and also returned by the kernel's getversion call
 */

#define VERSIONLEN 32
#define KERNEL_VERSION_LEN 80

struct version {
	unsigned	v_id   : 20,	/* Object id for identifying program */
			v_iver : 12;	/* Internal version number */
	char	v_version[VERSIONLEN];	/* Version string for humans */
};

struct kernel_version {
	struct version	v_version;	/* as printed by "version /vmunix" */
	char		v_string[KERNEL_VERSION_LEN]; /* Printed at boot time */
};

#endif/*__sys_version_h*/

/* EOF version.h */
