/*
 * $Header: /smsa/bsd:include/tar.h:bsd  1.2  $
 * $Source: /smsa/bsd:include/tar.h: $
 *
 * Copyright (c) 1990 Acorn Computers Ltd., Cambridge, England
 */

/* Tar format definitions, for X/Open and POSIX conformance */

#ifndef __tar_h
#define __tar_h

/* header identification */
#define TMAGIC		"ustar"
#define TMAGLEN		6
#define TVERSION	"00"
#define TVERSLEN	2

/* type of member of tar archive */
#define REGTYPE		'0'
#define AREGTYPE	'\0'
#define LNKTYPE		'1'
#define SYMTYPE		'2'
#define CHRTYPE		'3'
#define BLKTYPE		'4'
#define DIRTYPE		'5'
#define FIFOTYPE	'6'
#define CONTTYPE	'7'

/* mode flags for file */
#define TSUID		04000
#define TSGID		02000
#define TSVTX		01000
#define TUREAD		00400
#define TUWRITE		00200
#define TUEXEC		00100
#define TGREAD		00040
#define TGWRITE		00020
#define TGEXEC		00010
#define TOREAD		00004
#define TOWRITE		00002
#define TOEXEC		00001

#endif	__tar_h

/* EOF tar.h */
