/*
Filename:   readline.h
Author:     Martin "MAD" Dorey
Email:      mad-a@minster.york.ac.uk
Date:       22 June 1993 - 13 March 1994
Project:    none

Language:   ANSI C for POSIX with termcap (tested with gcc on AIX and cc on IRIX)

Summary:
		line editing
		to provide a cursor key history list for the rc shell (perhaps)
		feeped to perform filename completion and expansion (specifically for rc)
*/

extern char *readline (char *prompt);
extern void add_history (char *line);
extern void new_term (void);
extern void update_tio (void);
extern void restore_sanity (void);

