/* $Header: /smsa/bsd:include/arm/apcs.h:bsd  1.2  $
 * $Source: /smsa/bsd:include/arm/apcs.h: $
 *
 * $Desc:	apcs.h,v $
 *	Definition of constants defined by the
 *	ARM procedure call standard.
 *
 * Copyright (c) 1989 Acorn Computers Ltd
 *
 */

#ifndef __arm_apcs_h
#define	__arm_apcs_h
#define	__machine_apcs_h	"arm"

#ifndef	__arm_apcsreg_h
#include "apcsreg.h"
#endif

/* Offsets in a stack frame */
#define APCS_RSMP_OFFSET	0
#define APCS_LR_OFFSET		(-4)
#define APCS_SP_OFFSET		(-8)
#define APCS_FP_OFFSET		(-12)
#define APCS_REGSAVE_OFFSET	(-16)

/* Size - in words - of the saved registers */
#define APCS_ARMREG_SIZE	1
#define APCS_FPREG_SIZE		3

#endif/*__arm_apcs_h*/

/* EOF apcs.h */
