/*
 * $Header: /smsa/bsd:include/arm/clock.h:bsd  1.5  $
 * $Source: /smsa/bsd:include/arm/clock.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 *
 */
/*
 * Copyright (c) 1982, 1986 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *
 *	@(#)clock.h	7.1 (Berkeley) 6/5/86
 */

#ifndef __arm_clock_h
#define _arm_clock_h
#define _machine_clock_h	"arm"

#define	SECDAY		((unsigned)(24*60*60))		/* seconds per day */
#define	SECYR		((unsigned)(365*SECDAY))	/* per common year */
#define	YRREF		1970
#define	LEAPYEAR(year)	((year)%4==0)	/* good till time becomes negative */

#endif/*__arm_clock_h*/

/* EOF clock.h */
