/*
 * $Header: /smsa/bsd:include/dev/key_timer.h:bsd  1.4  $
 * $Source: /smsa/bsd:include/dev/key_timer.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 */

#ifndef __dev_key_timer_h
#define __dev_key_timer_h

/* key_timer.h
 *
 * High-resolution timing facilities for the keyboard driver.
 *
 */

#ifdef __STDC__
extern void KBT_init (void (*)(int));
extern void KBT_enqueue (int /*id*/, int /*msec*/);
extern void KBT_dequeue (int /*id*/);
extern void KBT_reset (void);
#else
extern void KBT_init ();
extern void KBT_enqueue ();
extern void KBT_dequeue ();
extern void KBT_reset ();
#endif

#endif/*__dev_key_timer_h*/

/* EOF key_timer.h */
