/*
 * $Header: /smsa/bsd:include/dev/lpioctl.h:bsd  1.6  $
 * $Source: /smsa/bsd:include/dev/lpioctl.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 *
 */

#ifndef	__dev_lpioctl_h
#define	__dev_lpioctl_h

#define	PIOCSETMODE	_IOW('P', 1, int)
#define	PIOCGETMODE	_IOR('P', 2, int)
#define	PIOCSETLINES	_IOW('P', 3, int)
#define	PIOCSETCOLS	_IOW('P', 4, int)

#define LP_NOCANON	(1 << 0)	/* Disable all post-processing */
#define LP_NOAUTOFF	(1 << 1)	/* Disable FF on open/close */
#define	LP_NOACR	(1 << 2)	/* Don't generate CR in front of LF */
#define	LP_TABEXP	(1 << 3)	/* Expand tabs */
#define LP_CAP		(1 << 4)	/* Upper case only */
#define LP_ALF		(1 << 5)	/* Set AutoLineFeed (A680 only) */

#endif/*__dev_lpioctl_h*/

/* EOF lpioctl.h */
