/*
 * $Header: /smsa/bsd:include/dev/vcminor.h:bsd  1.5  $
 * $Source: /smsa/bsd:include/dev/vcminor.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 */

#ifndef __dev_vcminor_h
#define __dev_vcminor_h

/* vcminor.h */

/* Video Console minor device numbers */

#define NVTERM		2			/* how many virtual terminals */

#define VCM_NONE	(-1)			/* internal code for o/p blocked */
#define VCM_CONSOLE	0			/* kernel prf/log/debug */
#define	VCM_FB		1			/* video frame-buffer */
#define	VCM_KBD		2			/* keyboard(/mouse) events */
#define VCM_MOUSE	3			/* mouse events only */
#define	VCM_TERM0	4			/* main 'tty' access */
#define VCM__COUNT	(VCM_TERM0+NVTERM)	/* how many minor devices */

#endif/*__dev_vcminor_h*/

/* EOF vcminor.h */
