/*
 * $Header: /smsa/bsd:include/langinfo.h:bsd  1.4  $
 * $Source: /smsa/bsd:include/langinfo.h: $
 *
 * Copyright (c) 1989 Acorn Computers Ltd., Cambridge, England
 */

#ifndef __langinfo_h
#define __langinfo_h

#ifndef __nl_types_h
#include "nl_types.h"
#endif

#define D_T_FMT		((nl_item)1)
#define D_FMT		((nl_item)2)
#define T_FMT		((nl_item)3)
#define AM_STR		((nl_item)4)
#define PM_STR		((nl_item)5)
#define DAY_1		((nl_item)6)
#define DAY_2		((nl_item)7)
#define DAY_3		((nl_item)8)
#define DAY_4		((nl_item)9)
#define DAY_5		((nl_item)10)
#define DAY_6		((nl_item)11)
#define DAY_7		((nl_item)12)
#define ABDAY_1		((nl_item)13)
#define ABDAY_2		((nl_item)14)
#define ABDAY_3		((nl_item)15)
#define ABDAY_4		((nl_item)16)
#define ABDAY_5		((nl_item)17)
#define ABDAY_6		((nl_item)18)
#define ABDAY_7		((nl_item)19)
#define MON_1		((nl_item)20)
#define MON_2		((nl_item)21)
#define MON_3		((nl_item)22)
#define MON_4		((nl_item)23)
#define MON_5		((nl_item)24)
#define MON_6		((nl_item)25)
#define MON_7		((nl_item)26)
#define MON_8		((nl_item)27)
#define MON_9		((nl_item)28)
#define MON_10		((nl_item)29)
#define MON_11		((nl_item)30)
#define MON_12		((nl_item)31)
#define ABMON_1		((nl_item)32)
#define ABMON_2		((nl_item)33)
#define ABMON_3		((nl_item)34)
#define ABMON_4		((nl_item)35)
#define ABMON_5		((nl_item)36)
#define ABMON_6		((nl_item)37)
#define ABMON_7		((nl_item)38)
#define ABMON_8		((nl_item)39)
#define ABMON_9		((nl_item)40)
#define ABMON_10	((nl_item)41)
#define ABMON_11	((nl_item)42)
#define ABMON_12	((nl_item)43)
#define RADIXCHAR	((nl_item)44)
#define THOUSEP		((nl_item)45)
#define YESSTR		((nl_item)46)
#define NOSTR		((nl_item)47)
#define CRNCYSTR	((nl_item)48)
#define _ANSI_GROUP	((nl_item)49)
#define _ANSI_INTCSYM	((nl_item)50)
#define _ANSI_MONRADIX	((nl_item)51)
#define _ANSI_MONTHSEP	((nl_item)52)
#define _ANSI_MGROUP	((nl_item)53)
#define _ANSI_PSIGN	((nl_item)54)
#define _ANSI_NSIGN	((nl_item)55)
#define _ANSI_FMTMISC	((nl_item)56)

#define _NL_NITEMS	(_ANSI_FMTMISC + 1)

extern char *nl_langinfo (nl_item /*item*/);

#endif
