/*
 * $Header: /smsa/bsd:include/netinet/udp.h:bsd  1.6  $
 * $Source: /smsa/bsd:include/netinet/udp.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 */
/*	@(#)udp.h	2.1 88/05/18 4.0NFSSRC SMI;	from UCB 7.1 6/5/86	*/
/*
 * Copyright (c) 1982, 1986 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *
 *	@(#)udp.h	7.1 (Berkeley) 6/5/86
 */

#ifndef __netinet_udp_h
#define __netinet_udp_h

/*
 * Udp protocol header.
 * Per RFC 768, September, 1981.
 */
struct udphdr {
	u_short	uh_sport;		/* source port */
	u_short	uh_dport;		/* destination port */
	short	uh_ulen;		/* udp length */
	u_short	uh_sum;			/* udp checksum */
};

#endif/*__netinet_udp_h*/

/* EOF udp.h */
