/*
 * $Header: /smsa/bsd:include/rpc/pmap_rmt.h:bsd  1.2  $
 * $Source: /smsa/bsd:include/rpc/pmap_rmt.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 * Copyright (c) 1988 by Sun Microsystems, Inc.
 *	1.2 88/02/08 SMI	
 */

#ifndef __rpc_pmap_rmt_h
#define __rpc_pmap_rmt_h

/*
 * Structures and XDR routines for parameters to and replies from
 * the portmapper remote-call-service.
 */

struct rmtcallargs {
	u_long prog, vers, proc, arglen;
	caddr_t args_ptr;
	xdrproc_t xdr_args;
};

bool_t xdr_rmtcall_args();

struct rmtcallres {
	u_long *port_ptr;
	u_long resultslen;
	caddr_t results_ptr;
	xdrproc_t xdr_results;
};

bool_t xdr_rmtcallres();

#endif/*__rpc_pmap_rmt_h*/

/* EOF pmap_rmt.h */
