/*
 * $Header: /smsa/bsd:include/rpcsvc/spray.h:bsd  1.5  $
 * $Source: /smsa/bsd:include/rpcsvc/spray.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 * Copyright (c) 1988 by Sun Microsystems, Inc.
 * 1.2 88/05/08 SMI
 */

#ifndef __rpcsvc_spray_h
#define __rpcsvc_spray_h

#define SPRAYPROG 100012
#define SPRAYPROC_SPRAY 1
#define SPRAYPROC_GET 2
#define SPRAYPROC_CLEAR 3
#define SPRAYVERS_ORIG 1
#define SPRAYVERS 1

#define SPRAYOVERHEAD 86	/* size of rpc packet when size=0 */
#define SPRAYMAX 8845		/* related to max udp packet of 9000 */

int xdr_sprayarr();
int xdr_spraycumul();

struct spraycumul {
	unsigned counter;
	struct timeval clock;
};

struct sprayarr {
	int *data;
	int lnth;
};

#endif/*__rpcsvc_spray_h*/

/* EOF spray.h */
