/*
 * $Header: /smsa/bsd:include/sys/clist.h:bsd  1.7  $
 * $Source: /smsa/bsd:include/sys/clist.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 *
 */
/*
 * Copyright (c) 1982, 1986 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *
 *	@(#)clist.h	7.1 (Berkeley) 6/4/86
 */

#ifndef	__sys_clist_h
#define	__sys_clist_h

#ifndef	__sys_param_h
#include "param.h"
#endif

/*
 * Raw structures for the character list routines.
 */
struct cblock {
	struct cblock *c_next;
	char	c_info[CBSIZE];
};
#ifdef	_KERNEL
struct	cblock *cfree;
int	nclist;
struct	cblock *cfreelist;
int	cfreecount;
#endif	_KERNEL

#endif/*__sys_clist_h*/

/* EOF clist.h */
