/*
 * $Header: /smsa/bsd:include/sys/dirent.h:bsd  1.5  $
 * $Source: /smsa/bsd:include/sys/dirent.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 *
 */
/* 
 * Copyright (c) 1988 by Sun Microsystems, Inc.
 *	1.2 88/02/08 SMI 
 */


#ifndef	__sys_dirent_h
#define	__sys_dirent_h

#ifndef __sys_types_h
#include "../sys/types.h"
#endif

#ifndef __dirent_h
#include "../dirent.h"
#endif

#define	MAXNAMLEN	_NAME_MAX

/* 
 * The macro DIRSIZ(dp) gives the minimum amount of space required to represent
 * a directory entry.  For any directory entry dp->d_reclen >= DIRSIZ(dp).
 * Specific filesystem types may use this use this macro to construct the value
 * for d_reclen.
 */
#undef DIRSIZ
#define DIRSIZ(dp)  \
	(((sizeof (struct dirent) - (MAXNAMLEN+1) + ((dp)->d_namlen+1)) + 3) & ~3)

#endif/*__sys_dirent_h*/

/* EOF dirent.h */
