#ifndef	__sys_syscall_h
#define	__sys_syscall_h

/*
 * $Header: /smsa/bsd:include/sys/syscall.h:bsd  1.17  $
 * $Source: /smsa/bsd:include/sys/syscall.h: $
 */
#define SYS_exit 1
#define SYS_fork 2
#define SYS_read 3
#define SYS_write 4
#define SYS_oopen 5
#define SYS_close 6
#define SYS_wait4 7
#define SYS_creat 8
#define SYS_link 9
#define SYS_unlink 10
#define SYS_waitpid 11
#define SYS_chdir 12
#define SYS_mknod 14
#define SYS_chmod 15
#define SYS_chown 16
#define SYS_sbreak 17
#define SYS_lseek 19
#define SYS_getpid 20
#define SYS_umount 22
#define SYS_getuid 24
#define SYS_ptrace 26
#define SYS_open 28
#define SYS_isleep 30
#define SYS_oaccess 33
#define SYS_access 34
#define SYS_sync 36
#define SYS_kill 37
#define SYS_ostat 38
#define SYS_stat 39
#define SYS_lstat 40
#define SYS_dup 41
#define SYS_pipe 42
#define SYS_profil 44
#define SYS_getgid 47
#define SYS_acct 51
#define SYS_ioctl 54
#define SYS_reboot 55
#define SYS_symlink 57
#define SYS_readlink 58
#define SYS_execve 59
#define SYS_umask 60
#define SYS_chroot 61
#define SYS_fstat 62
#define SYS_getpagesize 64
#define SYS_vfork 66
#define SYS_vhangup 76
#define SYS_getgroups 77
#define SYS_setgroups 78
#define SYS_BSDgetgroups 79
#define SYS_BSDsetgroups 80
#define SYS_getpgrp 81
#define SYS_setpgrp 82
#define SYS_setitimer 83
#define SYS_wait 84
#define SYS_swapon 85
#define SYS_getitimer 86
#define SYS_gethostname 87
#define SYS_sethostname 88
#define SYS_getdtablesize 89
#define SYS_dup2 90
#define SYS_fcntl 92
#define SYS_select 93
#define SYS_fsync 95
#define SYS_setpriority 96
#define SYS_socket 97
#define SYS_connect 98
#define SYS_accept 99
#define SYS_getpriority 100
#define SYS_send 101
#define SYS_recv 102
#define SYS_sigreturn 103
#define SYS_bind 104
#define SYS_setsockopt 105
#define SYS_listen 106
#define SYS_sigvec 108
#define SYS_sigblock 109
#define SYS_sigsetmask 110
#define SYS_sigpause 111
#define SYS_sigstack 112
#define SYS_recvmsg 113
#define SYS_sendmsg 114
#define SYS_vtrace 115
#define SYS_gettimeofday 116
#define SYS_getrusage 117
#define SYS_getsockopt 118
#define SYS_sigpend 119
#define SYS_readv 120
#define SYS_writev 121
#define SYS_settimeofday 122
#define SYS_fchown 123
#define SYS_fchmod 124
#define SYS_recvfrom 125
#define SYS_setreuid 126
#define SYS_setregid 127
#define SYS_rename 128
#define SYS_truncate 129
#define SYS_ftruncate 130
#define SYS_flock 131
#define SYS_sendto 133
#define SYS_shutdown 134
#define SYS_socketpair 135
#define SYS_mkdir 136
#define SYS_rmdir 137
#define SYS_utimes 138
#define SYS_adjtime 140
#define SYS_getpeername 141
#define SYS_gethostid 142
/* SYS_sethostid was 143, now deprecated */
#define SYS_getrlimit 144
#define SYS_setrlimit 145
#define SYS_killpg 146
#define SYS_getsockname 150
#define SYS_nfssvc 155
#define SYS_getdirentries 156
#define SYS_statfs 157
#define SYS_fstatfs 158
#define SYS_unmount 159
#define SYS_async_daemon 160
#define SYS_getfh 161
#define SYS_getdomainname 162
#define SYS_setdomainname 163
#define SYS_quotactl 165
#define SYS_exportfs 166
#define SYS_mount 167
#define SYS_ustat 168
#define SYS_calltrace 169
#define SYS_syscall 170
#define SYS_userfault 171
#define SYS_execdone 172
#define SYS_exect 173
#define SYS_msgctl 174
#define SYS_msgget 175
#define SYS_msgrcv 176
#define SYS_msgsnd 177
#define SYS_semctl 178
#define SYS_semget 179
#define SYS_semop 180
#define SYS_shmctl 181
#define SYS_shmget 182
#define SYS_shmat 183
#define SYS_shmdt 184
#define SYS_getversion 185
#define SYS_getdents 186
#define SYS_setpgid 187
#define SYS_setsid 188
#define SYS_getsysinfo 189
#define SYS_swapoff 191
#define SYS_updatesvc 192
#define SYS_getrootname 193
#endif/*__sys_syscall_h*/
