/*
 * $Header: /smsa/bsd:include/sys/ttychars.h:bsd  1.8  $
 * $Source: /smsa/bsd:include/sys/ttychars.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 *
 */
/* 
 * Copyright (c) 1982, 1986 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *
 *	@(#)ttychars.h	7.1 (Berkeley) 6/4/86
 */

/*
 * User visible structures and constants
 * related to terminal handling.
 */
#ifndef	__sys_ttychars_h
#define	__sys_ttychars_h

#define	CTRL(c)	('c'&037)
#define	_CTRL(c) (c&037)	/* the ANSI-compatible method */

/* default special characters */
#define	CERASE	0177
#define	CKILL	_CTRL('u')
#define	CINTR	_CTRL('c')
#define	CQUIT	034		/* FS, ^\ */
#define	CSTART	_CTRL('q')
#define	CSTOP	_CTRL('s')
#define	CEOF	_CTRL('d')
#define	CEOT	CEOF
#define	CBRK	0377
#define	CSUSP	_CTRL('z')
#define	CDSUSP	_CTRL('y')
#define	CRPRNT	_CTRL('r')
#define	CFLUSH	_CTRL('o')
#define	CWERASE	_CTRL('w')
#define	CLNEXT	_CTRL('v')

#endif/*__sys_ttychars_h*/

/* EOF ttychars.h */
