/*
 * $Header: /smsa/bsd:include/sys/ttydev.h:bsd  1.9  $
 * $Source: /smsa/bsd:include/sys/ttydev.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 *
 */
/*	@(#)ttydev.h	2.1 88/05/18 4.0NFSSRC SMI;	*/
/*
 * Copyright (c) 1982, 1986 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *
 *	@(#)ttydev.h	7.1 (Berkeley) 6/4/86
 */

/*
 * Terminal definitions related to underlying hardware.
 */
#ifndef	__sys_ttydev_h
#define	__sys_ttydev_h

/*
 * Speeds: #define lines have been made identical to those in
 * <termios.h>, to avoid compiler complaints when #including
 * both headers.
 */
#define B0		0
#define B50		1
#define B75		2
#define B110		3
#define B134		4
#define B150		5
#define B200		6
#define B300		7
#define B600		8
#define B1200		9
#define	B1800		10
#define B2400		11
#define B4800		12
#define B9600		13
#define B19200		14
#define EXTA		14
#define B38400		15
#define EXTB		15

#ifdef _KERNEL
/*
 * Modem control commands.
 */
#define	DMSET		0
#define	DMBIS		1
#define	DMBIC		2
#define	DMGET		3
#endif

#endif/*__sys_ttydev_h*/

/* EOF ttydev.h */
