/*
 * $Header: /smsa/bsd:include/sys/vmsw.h:bsd  1.4  $
 * $Source: /smsa/bsd:include/sys/vmsw.h: $
 *
 * Copyright (c) 1989 Acorn Computers Ltd., Cambridge, England
 *
 */

#ifndef	__sys_vmsw_h
#define	__sys_vmsw_h

struct swdev
{
	struct	vnode	*sw_vp;		/* vnode to access area */
	int		sw_nblks;	/* Number of blocks usable in area */
	int		sw_swapoffed;	/* Number of blocks reclaimed by swapoff() */
	u_char		sw_priority;
	u_char		sw_interleave;
	u_char		sw_retries;	/* Attempts remaining for garbage collector */
	u_char		sw_permanent;	/* Do not allow swapoff() on this area */
	long		sw_xfer_rd;
	long		sw_xfer_wr;
	struct	swdev	*sw_next;
#ifdef	_KERNEL
	char		sw_name[1];	/* Swfree() calculates the size required */
#else
	char		sw_name[MAXPATHLEN];
#endif
};
#endif/*__sys_vmsw_h*/

/* EOF vmsw.h */
