/*
** key.h
**
** Default key definitions and types
*/

enum rc_key_t {
	rc_key_newline = 0,
	rc_key_beep,
	rc_key_backspace,
	rc_key_delete,
	rc_key_tab,
	rc_key_untab,
	rc_key_insovr,
	rc_key_cleft,
	rc_key_cright,
	key_max
};


#ifdef OPT

char *key_name [] = {
	"newline",
	"beep",
	"backspace",
	"delete",
	"complete",
	"uncomplete",
	"insovr",
	"start_line",
	"end_line"
};

#define KEY_DEF { 10, 7, 8, 127, 9, 2, 'P' - '@', 'L' - '@', 'N' - '@' }

int key_dfl [] = KEY_DEF;
int key [] = KEY_DEF;

#else /* OPT */

extern char *key_name [];
extern int key [];

#endif /* OPT */

