#include "sigmsgs.h"

Sigmsgs signals[] = {
	{"",		""},
	{"sighup",	"hangup"},
	{"sigint",	""},
	{"sigquit",	"quit"},
	{"sigill",	"illegal instruction"},
	{"sigtrap",	"trace trap"},
	{"sigabrt",	"abort"},
	{"sigemt",	""emt instruction" - historical"},
	{"sigfpe",	"floating point exception"},
	{"sigkill",	"killed"},
	{"sigbus",	"bus error"},
	{"sigsegv",	"segmentation violation"},
	{"sigsys",	"bad argument to system call, unknown sys call"},
	{"sigpipe",	"broken pipe"},
	{"sigalrm",	"alarm clock"},
	{"sigterm",	"killed"},
	{"sigurg",	"urgent condition on i/o channel"},
	{"sigstop",	"stop signal not from terminal"},
	{"sigtstp",	"suspended"},
	{"sigcont",	"continue"},
	{"sigchld",	"child stop or exit"},
	{"sigttin",	"background terminal read"},
	{"sigttou",	"background terminal write"},
	{"sigio",	"input/output possible"},
	{"sigxcpu",	"exceeded cpu time limit"},
	{"sigxfsz",	"exceeded file size limit"},
	{"sigvtalrm",	"virtual time alarm"},
	{"sigprof",	"profiling time alarm"},
	{"sigwinch",	"window size changes"},
	{"siglost",	"resource lost"},
	{"sigusr1",	"user defined signal 1"},
	{"sigusr2",	"user defined signal 2"},
};
